# GstProxyControlBinding

A GstControlBinding that forwards requests to another GstControlBinding

## GstProxyControlBinding

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstControlBinding
                    ╰──GstProxyControlBinding

Opaque GstProxyControlBinding struct

### Class structure

#### GstProxyControlBindingClass

Opaque GstProxyControlBindingClass struct

### GstController.ProxyControlBindingClass

Opaque GstController.ProxyControlBindingClass struct

### GstController.ProxyControlBindingClass

Opaque GstController.ProxyControlBindingClass struct

## GstController.ProxyControlBinding

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.ControlBinding
                    ╰──GstController.ProxyControlBinding

Opaque GstController.ProxyControlBinding struct

## GstController.ProxyControlBinding

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.ControlBinding
                    ╰──GstController.ProxyControlBinding

Opaque GstController.ProxyControlBinding struct

### Constructors

#### gst_proxy_control_binding_new

    GstControlBinding *
    gst_proxy_control_binding_new (GstObject * object,
                                   const gchar * property_name,
                                   GstObject * ref_object,
                                   const gchar * ref_property_name)

GstProxyControlBinding forwards all access to data or `sync_values()` requests from property_name on object to the control binding at ref_property_name on ref_object.

Parameters:

`object` ( [transfer: none]) –

a GstObject

`property_name` –

the property name in object to control

`ref_object` ( [transfer: none]) –

a GstObject to forward all GstControlBinding requests to

`ref_property_name` –

the property_name in ref_object to control

Returns ( [transfer: floating]) –

a new GstControlBinding that proxies the control interface between properties on different GstObject's

Since : 1.12

#### GstController.ProxyControlBinding.prototype.new

    function GstController.ProxyControlBinding.prototype.new(object: Gst.Object, property_name: String, ref_object: Gst.Object, ref_property_name: String): {
        // javascript wrapper for 'gst_proxy_control_binding_new'
    }

GstController.ProxyControlBinding forwards all access to data or `sync_values()` requests from property_name on object to the control binding at ref_property_name on ref_object.

Parameters:

`object` (Gst.Object) –

a Gst.Object

`property_name` (String) –

the property name in object to control

`ref_object` (Gst.Object) –

a Gst.Object to forward all Gst.ControlBinding requests to

`ref_property_name` (String) –

the property_name in ref_object to control

Returns (Gst.ControlBinding) –

a new Gst.ControlBinding that proxies the control interface between properties on different Gst.Object's

Since : 1.12

#### GstController.ProxyControlBinding.new

    def GstController.ProxyControlBinding.new (object, property_name, ref_object, ref_property_name):
        #python wrapper for 'gst_proxy_control_binding_new'

GstController.ProxyControlBinding forwards all access to data or `sync_values()` requests from property_name on object to the control binding at ref_property_name on ref_object.

Parameters:

`object` (Gst.Object) –

a Gst.Object

`property_name` (str) –

the property name in object to control

`ref_object` (Gst.Object) –

a Gst.Object to forward all Gst.ControlBinding requests to

`ref_property_name` (str) –

the property_name in ref_object to control

Returns (Gst.ControlBinding) –

a new Gst.ControlBinding that proxies the control interface between properties on different Gst.Object's

Since : 1.12

The results of the search are